export function getComponentState<
  State extends Object,
  StateDefaultValueException extends keyof State | ""
>(
  initialValues: Partial<Omit<State, StateDefaultValueException>> | undefined,
  defaultValues: State
) {
  type InitialValuesType = Omit<State, StateDefaultValueException>;
  // const { initialValues } = props;
  const getValue = (name: keyof InitialValuesType) => {
    if (initialValues === undefined || initialValues[name] === undefined)
      return defaultValues[name];
    return initialValues[name];
  };
  const state = {
    ...(Object.fromEntries(
      Object.entries(defaultValues).map(([name]) => [
        name,
        getValue(name as keyof InitialValuesType) as any,
      ])
    ) as InitialValuesType),
  } as State;
  return state;
}
